export declare class EclModal {
    el: HTMLElement;
    theme: string;
    variant: string;
    styleClass: string;
    withBody: boolean;
    withBodyFixed: boolean;
    withHeader: boolean;
    noScript: boolean;
    withFooter: boolean;
    toggleId: string;
    size: string;
    closeLabel: string;
    itemId: string;
    getClass(): string;
    getContentClasses(): "ecl-modal__content ecl-col-12" | "ecl-modal__content ecl-col-m-10 ecl-col-l-8";
    componentWillLoad(): void;
    componentDidLoad(): void;
    render(): any;
}
